package com.tuoheng.admin.enums;

import com.tuoheng.common.common.ExceptionInterface;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Author: 吴彬
 * @CreateTime: 2023-05-22  10:17
 * @Description: 业务异常 枚举
 *      异常全局唯一，从5555依次递减
 * @Version: 1.0
 */
@AllArgsConstructor
public enum ServiceExceptionEnum implements ExceptionInterface {

    /**
     * 机场环境检查异常!
     */
    AIRPORT_ENVIORMENT_ERROR(5555, "机场环境检查异常！"),

    ;

    @Getter
    private final int code;

    @Getter
    private final String message;

}